# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "topo-score"
version = "0.1.3"
authors = ["Fazal Khan"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "BM25F, heuristic, structural, and RRF fusion scoring"
readme = false
license = "MIT"
repository = "https://github.com/demwunz/topo"
resolver = "2"

[lib]
name = "topo_score"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1"

[dependencies.topo-core]
version = "0.1.3"

[dev-dependencies.tempfile]
version = "3"
